<!DOCTYPE html>
<html lang="de">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bildergalerie</title>
	<link rel="stylesheet" href="./assets/c/style.css">
</head>

<body>

	<header>
		<h1>Bildergalerie</h1>
		<p>Bilder in Originalgröße beim Anklicken der Thumbs…</p>
	</header>

	<main>

		<?php
		// Aufruf des PHP-Scripts zum autom. Darstellen aller Bilder
		// die Bilder müssen sich nur in den richtigen Ordnern (Thumbs, Gross) befinden
		// Rest erledigt das PHP-Script
		$thumbs = 'p/Thumbs'; // rel. Pfadangabe zum Ordner mit den Thumbnails
		$gross = 'p/Gross'; // rel. Pfadangabe zum Ordner mit den großen Bildern

		// Befüllen des Arrays "$files" mit allen Bildern des Verzeichnis "$thumbs"
		$verzeichnis = dir($thumbs);
		$files = array();
		while ($eintrag = $verzeichnis->read())
			$files[] = $eintrag; // ein array!
		$verzeichnis->close();

		// Abfrage, wieviele Bilder das Verzeichnis "$thumbs" enthält
		// "-3", weil sich in jedem Ordner drei unsichtbare Dateien ("." und "..") befinden
		// die sonst mitgezählt würden
		$clength = count($files) - 3;
		echo "<p class='hinweis'>Es befinden sich $clength Bilder im Ordner <strong>$thumbs</strong>.</p>";

		echo "\n\n<div class='galerie'>\n\n";

		foreach ($files as $eintrag) {
			// http://www.php.net/manual/de/language.types.string.php
			// naechste zwei Zeilen fragen ab, ob Eintrag mit einem "." anfängt!
			$first = $eintrag[0];
			if ($first != ".") {

				$kleinbild = $thumbs . '/' . $eintrag; // Pfad und Name des kleinen Bildes
				$grossbild = $gross . '/' . $eintrag; // Pfad und Name des großen Bildes

				// http://php.net/manual/de/function.exif-read-data.php
				$exif = exif_read_data($kleinbild, 0, true);
				// Herauslesen von Datum und Uhrzeit aus dem Array der EXIF-Daten
				$aufnahmeDatum = $exif['EXIF']['DateTimeOriginal'];

				// Formatieren des jeweiligen Kleinbildes mit Link zum Großbild
				echo "
		<a href='$grossbild' title='$aufnahmeDatum'>
			<figure>
				<img src='" . $kleinbild . "' alt='" . $eintrag . "'>
				<figcaption>$aufnahmeDatum</figcaption>
			</figure>
		</a>
		\n";
			}
		}

		echo "\n\n</div><!--/galerie-->\n\n"
		?>

	</main>

</body>

</html>